Package org.apache.wiki.tasks.auth

# Class SaveUserProfileTask

java.lang.Object
org.apache.wiki.workflow.AbstractStep
org.apache.wiki.workflow.Task
org.apache.wiki.tasks.auth.SaveUserProfileTask

All Implemented Interfaces:
  `Serializable`, `Step`

public class SaveUserProfileTask extends Task
Handles the actual profile save action.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.apache.wiki.workflow.Step

`TIME_NOT_SET`

## Constructor Summary

Constructors
Constructor
Description
`SaveUserProfileTask(Locale loc)`
Constructs a new Task for saving a user profile.

## Method Summary

Modifier and Type
Method
Description
`Outcome`
`execute(Context context)`
Saves the user profile to the user database.

### Methods inherited from class org.apache.wiki.workflow.Task

`getActor, getSuccessor, setSuccessor`

### Methods inherited from class org.apache.wiki.workflow.AbstractStep

`addError, addSuccessor, getAvailableOutcomes, getEndTime, getErrors, getMessageKey, getOutcome, getStartTime, getSuccessor, getWorkflowContext, getWorkflowId, isCompleted, isStarted, setOutcome, setWorkflow, start`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaveUserProfileTask

public SaveUserProfileTask(Locale loc)
Constructs a new Task for saving a user profile.

## Method Details

### execute

public Outcome execute(Context context) throws WikiException
Saves the user profile to the user database.

Specified by:
  `execute` in interface `Step`
Specified by:
  `execute` in class `AbstractStep`
Parameters:
  `context` - executing wiki context.
Returns:
  `Outcome.STEP_COMPLETE` if the task completed successfully
Throws:
  `WikiException` - if the save did not complete for some reason